
import ch.aplu.jgamegrid.*;

public class PlayStone extends Actor
{
  private int player;

  public PlayStone(int player)
  {
    super(true, "sprites/playStone.png", 3);
    show(player);
    this.player = player;
  }

  /**
   * returns the player owning this playStone
   * 0 = white, 1 = black;
   */
  public int belongsToPlayer()
  {
    return player;
  }

  public String toString()
  {
    if (player == 0)
      return "w@" + getLocation();
    else
      return "b@" + getLocation();
  }

  //gets activated if player wins (bit of a dance-Animation
  //TODO: solve position in stead of grid Location (for smother animation)
  public void act()
  {
    turn(6);
  }
}
